1. #1
    sorry if the question's been asked but i've downloaded Myst IV on to my mac and now it won't start. it downloads and everything then i double click on the icon to open it and nothing happens.. help
    Share this post

  2. #2
    wstrohm's Avatar Senior Member
    Join Date
    Nov 2003
    Location
    Fountain Valley, CA
    Posts
    1,622
    You are double-clicking on the "Myst4.app" icon on your hard disk, and not the "MystIV_setup.app" ... right? And you are not trying to start it from the DVD, right?

    What is the model of your Mac and your OS version?
    Share this post

  3. #3
    I'm having the same problem...macbook pro OS 10.5.7 with the MystIV 1.0.3 update. No problem with loading but won't launch when double clicking icon.
    Share this post

  4. #4
    Have you followed the steps outlined in this topic?

    And I would like to remind everybody that until OS X 10.4.10 Myst IV would never run at all; Ubisoft even acknowledged this in the system requirements printed on the box. If Myst IV works for you then congratulations, that's nothing short of a miracle. I know that's a bad thing to say, but Ubisoft has been very neglectful of its games, even when Myst IV just came out. The only solution is to not buy from Ubisoft.
    Share this post

  5. #5
    wstrohm's Avatar Senior Member
    Join Date
    Nov 2003
    Location
    Fountain Valley, CA
    Posts
    1,622
    ... I would like to remind everybody that until OS X 10.4.10 Myst IV would never run at all...
    Don't think that is correct. Myst IV came out in 2004 on a Win/Mac DVD, and I bought it right away. The Myst IV manual's "Mac System Requirements," and also the DVD label, state that it needs "OS X 10.2, 10.3 (only)." However, in December 2005 I got a PowerPC G5, which came with Mac OS X 10.4, and Myst IV worked fine on that system. In every Apple update of Tiger, up to and including 10.4.11, I played the game with no trouble.
    Share this post

  6. #6
    MAC SYSTEM REQUIREMENTS
    Supported OS: OS X 10.2, 10.3 (ONLY)
    I take that to mean that Myst IV was never meant to run in Tiger or Leopard, because they are not OS X 10.2 or 10.3. Until OS X 10.4.4 (upon review I seemed to have fudged the version number there, my mistake) Myst IV didn't work with Tiger, and still doesn't work with some versions/configurations of OS X 10.5.
    Share this post

  7. #7
    wstrohm's Avatar Senior Member
    Join Date
    Nov 2003
    Location
    Fountain Valley, CA
    Posts
    1,622
    Until OS X 10.4.4 (upon review I seemed to have fudged the version number there, my mistake) Myst IV didn't work with Tiger...
    That might be true... now that I think about it, right after I got my G5, I updated Tiger to whatever was current at the time, before using any apps; it might have been 10.4.4.
    Share this post